$(document).ready(function () {
    CargarDatos();

    //load(1);
});




function CargarDatos() {

    var productos = [];
    var error = "";

    $.ajax({
        async: false,
        type: "GET",
        url: "/envase",
        data: {
        },
        success: function (result) {
            productos = result.mensaje;
            error = result.error;
        },
        error: function (errMsg) {
            MensajeError(errMsg.responseText);
        }
    });

    if (error != "") {
        MensajeError(error);
        return;
    }

    var html = '<option value="0">Selecciona Estado</option>';

    $.map(productos, function (val, i) {
        html += '<option value="' + val.id + '">' + val.nombre + '</option>';
    });

    $("#ddlEnvase").html(html);
    
}


function MensajeOpciones() {
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "positionClass": "toast-top-right",
        "preventDuplicates": true,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "3000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    };
}

function MensajeExitoso(texto) {
    MensajeOpciones();
    Command: toastr["success"](texto, "Aviso")
}

function MensajeAlerta(texto) {
    MensajeOpciones();
    Command: toastr["warning"](texto, "Aviso")
}


function MensajeError(texto) {
    MensajeOpciones();
    Command: toastr["error"](texto, "Error")
}


function MensajeInformacion(texto) {
    MensajeOpciones();
    Command: toastr["info"](texto, "Aviso")
}